> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Purchase Order: Yardi

PUT https://api.propexo.com/v1/purchase-orders/yardi/{purchase_order_id}
Content-Type: application/json

Update Purchase Order: Yardi. This API call does not modify the purchase order in place in Yardi. It creates a change order that is attached to the existing parent purchase order specified.

| Interface | Method |
|---|---|
| Vendor Invoicing | ImportPOChangeOrders |

Reference: https://docs.propexo.com/api-reference/yardi/purchase-orders/update-purchase-order-yardi

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order

### Body (application/json)

This endpoint expects a _v1_purchase-orders_yardi_{purchase_order_id}_put_input.

- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `total_amount_in_cents` (double, required) — The amount of the purchase order, in cents
- `order_date` (V1PurchaseOrdersYardiPurchaseOrderIdPutInputOrderDate, required) — The order date for the purchase order
- `expense_type` (string, required) — The expense type of the purchase order. You'll have to request this data from your customer
- `display_type` (string, required) — The display type of the purchase order. You'll have to request this data from your customer
- `purchase_order_items` (list of V1PurchaseOrdersYardiPurchaseOrderIdPutInputPurchaseOrderItemsItems, required) — A list of the items associated with the purchase orders
- `shipping_address_1` (string, optional) — The first address line associated with the shipping address for the purchase order
- `shipping_address_2` (string, optional) — The second address line associated with the shipping address for the purchase order
- `shipping_city` (string, optional) — The city associated with the shipping address for the purchase order
- `shipping_state` (V1PurchaseOrdersYardiPurchaseOrderIdPutInputShippingState, optional) — The state associated with the shipping address for the purchase order
- `shipping_zip` (string, optional) — The zip code associated with the shipping address for the purchase order
- `shipping_country` (string, optional) — The country associated with the shipping address for the purchase order
- `billing_address_1` (string, optional) — The first address line associated with the billing address for the purchase order
- `billing_address_2` (string, optional) — The second address line associated with the billing address for the purchase order
- `billing_city` (string, optional) — The city associated with the billing address for the purchase order
- `billing_state` (V1PurchaseOrdersYardiPurchaseOrderIdPutInputBillingState, optional) — The state associated with the billing address for the purchase order
- `billing_zip` (string, optional) — The zip code associated with the billing address for the purchase order
- `billing_country` (string, optional) — The country associated with the billing address for the purchase order

## Response

### 200

Successful response

- `meta` (V1PurchaseOrdersYardiPurchaseOrderIdPutOutputMeta, required)
- `result` (V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1PurchaseOrdersYardiPurchaseOrderIdPutInputOrderDate

The order date for the purchase order

### V1PurchaseOrdersYardiPurchaseOrderIdPutInputPurchaseOrderItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the lead
- `cost_code` (string, required) — The cost code of the purchase order item. You'll have to request this data from your customer
- `category_code` (string, required) — The category code for the purchase order item. You'll have to request this data from your customer
- `construction_job_id` (string, optional) — The Propexo unique identifier for the construction job
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account

### V1PurchaseOrdersYardiPurchaseOrderIdPutInputShippingState

The state associated with the shipping address for the purchase order

### V1PurchaseOrdersYardiPurchaseOrderIdPutInputBillingState

The state associated with the billing address for the purchase order

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputMeta

- `job_id` (string, required)

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResult

- `purchase_order_id` (string, required) — The Propexo unique identifier for the purchase order
- `vendor_id` (string, required) — The Propexo unique identifier for the vendor
- `description` (string, required) — Description of the purchase order
- `number` (string, required) — The number of the purchase order
- `total_amount_in_cents` (double, required) — The amount of the purchase order, in cents
- `order_date` (V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultOrderDate, required) — The order date for the purchase order
- `expense_type` (string, required) — The expense type of the purchase order. You'll have to request this data from your customer
- `display_type` (string, required) — The display type of the purchase order. You'll have to request this data from your customer
- `purchase_order_items` (list of V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultPurchaseOrderItemsItems, required)
- `shipping_address_1` (string, optional) — The first address line associated with the shipping address for the purchase order
- `shipping_address_2` (string, optional) — The second address line associated with the shipping address for the purchase order
- `shipping_city` (string, optional) — The city associated with the shipping address for the purchase order
- `shipping_state` (V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultShippingState, optional) — The state associated with the shipping address for the purchase order
- `shipping_zip` (string, optional) — The zip code associated with the shipping address for the purchase order
- `shipping_country` (string, optional) — The country associated with the shipping address for the purchase order
- `billing_address_1` (string, optional) — The first address line associated with the billing address for the purchase order
- `billing_address_2` (string, optional) — The second address line associated with the billing address for the purchase order
- `billing_city` (string, optional) — The city associated with the billing address for the purchase order
- `billing_state` (V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultBillingState, optional) — The state associated with the billing address for the purchase order
- `billing_zip` (string, optional) — The zip code associated with the billing address for the purchase order
- `billing_country` (string, optional) — The country associated with the billing address for the purchase order

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultOrderDate

The order date for the purchase order

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultPurchaseOrderItemsItems

- `property_id` (string, required) — The Propexo unique identifier for the property
- `description` (string, required) — Description of the purchase order item
- `stock_code` (string, required) — The stock code for the purchase order item. You'll have to request this data from your customer
- `quantity_ordered` (string, required) — The quantity ordered for the purchase order item
- `unit_price_in_cents` (integer, required) — The unit price, in cents, of the purchase order item
- `total_cost_in_cents` (integer, required) — The total cost, in cents, of the lead
- `cost_code` (string, required) — The cost code of the purchase order item. You'll have to request this data from your customer
- `category_code` (string, required) — The category code for the purchase order item. You'll have to request this data from your customer
- `construction_job_id` (string, optional) — The Propexo unique identifier for the construction job
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultShippingState

The state associated with the shipping address for the purchase order

### V1PurchaseOrdersYardiPurchaseOrderIdPutOutputResultBillingState

The state associated with the billing address for the purchase order

## Examples

**Request**

```json
{
  "vendor_id": "vendor-7890",
  "description": "Change order for additional landscaping materials",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Landscaping",
  "display_type": "Change Order",
  "purchase_order_items": [
    {
      "property_id": "property-4567",
      "description": "Additional sod for front yard",
      "stock_code": "LS-1001",
      "quantity_ordered": "50",
      "unit_price_in_cents": 2500,
      "total_cost_in_cents": 125000,
      "cost_code": "COST-200",
      "category_code": "CAT-10"
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-1234567890"
  },
  "result": {
    "purchase_order_id": "po-987654321",
    "vendor_id": "vendor-7890",
    "description": "Change order for additional landscaping materials",
    "number": "PO123456",
    "total_amount_in_cents": 125000,
    "order_date": "2024-01-15T09:30:00Z",
    "expense_type": "Landscaping",
    "display_type": "Change Order",
    "purchase_order_items": [
      {
        "property_id": "property-4567",
        "description": "Additional sod for front yard",
        "stock_code": "LS-1001",
        "quantity_ordered": "50",
        "unit_price_in_cents": 2500,
        "total_cost_in_cents": 125000,
        "cost_code": "COST-200",
        "category_code": "CAT-10",
        "construction_job_id": "job-2345",
        "financial_account_id": "fin-7890"
      }
    ],
    "shipping_address_1": "123 Greenway Blvd",
    "shipping_address_2": "Suite 200",
    "shipping_city": "Springfield",
    "shipping_state": "IL",
    "shipping_zip": "62704",
    "shipping_country": "USA",
    "billing_address_1": "456 Commerce St",
    "billing_address_2": "Floor 3",
    "billing_city": "Springfield",
    "billing_state": "IL",
    "billing_zip": "62701",
    "billing_country": "USA"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id"

payload = {
    "vendor_id": "vendor-7890",
    "description": "Change order for additional landscaping materials",
    "number": "PO123456",
    "total_amount_in_cents": 125000,
    "order_date": "2024-01-15T09:30:00Z",
    "expense_type": "Landscaping",
    "display_type": "Change Order",
    "purchase_order_items": [
        {
            "property_id": "property-4567",
            "description": "Additional sod for front yard",
            "stock_code": "LS-1001",
            "quantity_ordered": "50",
            "unit_price_in_cents": 2500,
            "total_cost_in_cents": 125000,
            "cost_code": "COST-200",
            "category_code": "CAT-10"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"vendor_id":"vendor-7890","description":"Change order for additional landscaping materials","number":"PO123456","total_amount_in_cents":125000,"order_date":"2024-01-15T09:30:00Z","expense_type":"Landscaping","display_type":"Change Order","purchase_order_items":[{"property_id":"property-4567","description":"Additional sod for front yard","stock_code":"LS-1001","quantity_ordered":"50","unit_price_in_cents":2500,"total_cost_in_cents":125000,"cost_code":"COST-200","category_code":"CAT-10"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id"

	payload := strings.NewReader("{\n  \"vendor_id\": \"vendor-7890\",\n  \"description\": \"Change order for additional landscaping materials\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Landscaping\",\n  \"display_type\": \"Change Order\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"property-4567\",\n      \"description\": \"Additional sod for front yard\",\n      \"stock_code\": \"LS-1001\",\n      \"quantity_ordered\": \"50\",\n      \"unit_price_in_cents\": 2500,\n      \"total_cost_in_cents\": 125000,\n      \"cost_code\": \"COST-200\",\n      \"category_code\": \"CAT-10\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"vendor_id\": \"vendor-7890\",\n  \"description\": \"Change order for additional landscaping materials\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Landscaping\",\n  \"display_type\": \"Change Order\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"property-4567\",\n      \"description\": \"Additional sod for front yard\",\n      \"stock_code\": \"LS-1001\",\n      \"quantity_ordered\": \"50\",\n      \"unit_price_in_cents\": 2500,\n      \"total_cost_in_cents\": 125000,\n      \"cost_code\": \"COST-200\",\n      \"category_code\": \"CAT-10\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"vendor_id\": \"vendor-7890\",\n  \"description\": \"Change order for additional landscaping materials\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Landscaping\",\n  \"display_type\": \"Change Order\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"property-4567\",\n      \"description\": \"Additional sod for front yard\",\n      \"stock_code\": \"LS-1001\",\n      \"quantity_ordered\": \"50\",\n      \"unit_price_in_cents\": 2500,\n      \"total_cost_in_cents\": 125000,\n      \"cost_code\": \"COST-200\",\n      \"category_code\": \"CAT-10\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id', [
  'body' => '{
  "vendor_id": "vendor-7890",
  "description": "Change order for additional landscaping materials",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Landscaping",
  "display_type": "Change Order",
  "purchase_order_items": [
    {
      "property_id": "property-4567",
      "description": "Additional sod for front yard",
      "stock_code": "LS-1001",
      "quantity_ordered": "50",
      "unit_price_in_cents": 2500,
      "total_cost_in_cents": 125000,
      "cost_code": "COST-200",
      "category_code": "CAT-10"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"vendor_id\": \"vendor-7890\",\n  \"description\": \"Change order for additional landscaping materials\",\n  \"number\": \"PO123456\",\n  \"total_amount_in_cents\": 125000,\n  \"order_date\": \"2024-01-15T09:30:00Z\",\n  \"expense_type\": \"Landscaping\",\n  \"display_type\": \"Change Order\",\n  \"purchase_order_items\": [\n    {\n      \"property_id\": \"property-4567\",\n      \"description\": \"Additional sod for front yard\",\n      \"stock_code\": \"LS-1001\",\n      \"quantity_ordered\": \"50\",\n      \"unit_price_in_cents\": 2500,\n      \"total_cost_in_cents\": 125000,\n      \"cost_code\": \"COST-200\",\n      \"category_code\": \"CAT-10\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "vendor_id": "vendor-7890",
  "description": "Change order for additional landscaping materials",
  "number": "PO123456",
  "total_amount_in_cents": 125000,
  "order_date": "2024-01-15T09:30:00Z",
  "expense_type": "Landscaping",
  "display_type": "Change Order",
  "purchase_order_items": [
    [
      "property_id": "property-4567",
      "description": "Additional sod for front yard",
      "stock_code": "LS-1001",
      "quantity_ordered": "50",
      "unit_price_in_cents": 2500,
      "total_cost_in_cents": 125000,
      "cost_code": "COST-200",
      "category_code": "CAT-10"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/purchase-orders/yardi/purchase_order_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```